---

file:       users_cache/$user_node_name/preferences.cfg
node:       users_cache.$user_node_name.preferences
infos_node: users_cache.preferences

structure:

  preferences:
    new_profile_wizard:
      local_log_source_pathname:              string
      show_tips:
        log_file_management:                  bool
        backup_your_database:                 bool
    profiles:
      show_profiles_filter:                   bool
      show_database_info_column:              bool
      show_created_by_column:                 bool
    show_profiles_filter:                     bool      # Removed
    show_tips:
      scheduler:                              bool
    hide_rebuild_db_advice_message:
      log_filters:                            bool
    email:
      save_recipient_addresses_as_default:    bool
      return_address_in_scheduler:            string
      return_address_in_reports:              string
      return_addresses:                       node-list
      addresses:                              node-list

infos:

  - node:               new_profile_wizard.local_log_source_pathname
    example:            C:\_LOGS\apache\keps_1_day

  - node:               new_profile_wizard.show_tips
    version_added:      8.7.3

  - node:               new_profile_wizard.show_tips.log_file_management
    version_added:      8.7.3

  - node:               new_profile_wizard.show_tips.backup_your_database
    version_added:      8.7.3

  - node:               profiles
    version_added:      8.7.3

  - node:               profiles.show_profiles_filter
    version_added:      8.7.3

  - node:               profiles.show_database_info_column
    default_value:      true
    comment:            Column is shown by default, respectively when the node
                        doesn't exist. This option existed before in
                        profiles
    version_added:      8.7.3

  - node:               profiles.show_created_by_column
    version_added:      8.7.3

  - node:               show_profiles_filter
    removed:            true
    comments:           Moved to profiles.show_profiles_filter
    version_added:      8.7.0
    version_removed:    8.7.3

  - node:               show_tips.scheduler
    version_added:      8.7.3

  - node:               hide_rebuild_db_advice_message

  - node:               hide_rebuild_db_advice_message.log_filters

  - node:               email.save_recipient_addresses_as_default
    comment:            default (last used) save_recipient_addresses_as_default
                        state in reports.

  - node:               email.return_address_in_reports
    comment:            default (last used) return address in reports.

  - node:               email.return_address_in_scheduler
    comment:            default (last used) return address in schdeuler.

  - node:               email.return_addresses
    value:              >
                        zero or more subnodes with return addresses, i.e:
                        0 = "Karl Pongratz <karlhp@karlhp.com>"
			            1 = "info@karlhp.com"
			            2 = "Karl Pongratz <support@karlhp.com>"

    comment:            return_addresses are used for lookup only, they
                        function as a contacts database. When a user types a
                        new address then a drop down shows any match of the
                        existsing return_addresses.
                        Note, the address index required in the GUI is created
                        by javascript because in Scheduler we may need to add
                        new addresses to the index when email addresses are
                        added or modified per scheduler action.

  - node:               email.addresses
    value:              >
                        zero or more subnodes with addresses, i.e:
                        0 = "Karl Pongratz <karlhp@karlhp.com>"
			            1 = "Greg Ferrar <ferrar@flowerfire.com>"
			            2 = "Michael Gilden <gilden@flowerfire.com>"

    comment:            See email.return_addresses, the same is valid for
                        addresses.

...













